Option Strict On
Option Explicit On 

Imports Interop.QBFC5

Module BuildCustomerQueryRqModule
    Public Sub DoCustomerQueryRq(ByVal nameStart As String, ByVal nameEnd As String, ByVal requestMsgSet As IMsgSetRequest)
        If (requestMsgSet Is Nothing) Then
            Exit Sub
        End If

        Dim customerQuery As ICustomerQuery
        customerQuery = requestMsgSet.AppendCustomerQueryRq()

        customerQuery.ORCustomerListQuery.CustomerListFilter.ORNameFilter.NameRangeFilter.FromName.SetValue(nameStart)
        customerQuery.ORCustomerListQuery.CustomerListFilter.ORNameFilter.NameRangeFilter.ToName.SetValue(nameEnd)
        customerQuery.IncludeRetElementList.Add("ListID")
        customerQuery.IncludeRetElementList.Add("EditSequence")
        customerQuery.IncludeRetElementList.Add("Name")

    End Sub
End Module
